Subject: Re: installation problem...make
From: Jason Tishler <[email-masked]>
To: Sapan Shah <[email-masked]>
Cc: [email-masked]
Date: Wed, 1 Nov 2000 21:36:48 -0500

Sapan,

On Thu, Nov 02, 2000 at 04:59:42AM +0000, Sapan Shah wrote:
> make -C ../utils dllinit.o
> make[2]: Entering directory `/usr/pgsql/src/utils'
> gcc -I../include -I../backend   -I/usr/local/include -O2 -I/usr/local/include
> -Wall -Wmissing-prototypes -Wmissing-declarations   -c -o dllinit.o dllinit.c
> dllinit.c:49: conflicting types for `DllMain'
> dllinit.c:44: previous declaration of `DllMain'
> dllinit.c:49: conflicting types for `_cygwin_dll_entry'
> dllinit.c:49: previous declaration of `_cygwin_dll_entry'
> dllinit.c:81: conflicting types for `DllMain'
> dllinit.c:49: previous declaration of `DllMain'
> make[2]: *** [dllinit.o] Error 1
> make[2]: Leaving directory `/usr/pgsql/src/utils'
> make[1]: *** [../utils/dllinit.o] Error 2
> make[1]: Leaving directory `/usr/pgsql/src/backend'
> make: *** [all] Error 2

Please see the following:

    http://people.freebsd.org/~kevlo/postgres/portNT.html

The solution to your most recent problem is to perform step #6 of Install
PostgreSQL 7.0.2.  Note that the URL mentioned in step #6 is stale, so use
the following instead:

    http://sources.redhat.com/cygwin/snapshots/winsup-src-20001031.tar.bz2/winsup/cygwin/include/cygwin/cygwin_dll.h

You may want to consider subscribing to the [email-masked]
mailing list.

Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corporation         Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]